package com.ipsplm.controller.simulation;


import com.ipsplm.entity.dto.ResponseDTO;
import com.ipsplm.service.simulation.ISimulationAnalysisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.math.BigInteger;

/**
 * @Description 仿真分析Controller层
 * @Author lulicheng
 * @Date 2024-07-31 10：11
 * @Version 1.0
 */
@RestController
@RequestMapping("/simulation")
public class SimulationAnalysisController {
    @Autowired
    private ISimulationAnalysisService simulationAnalysisService;

    /**
     * 获取工厂设备利用率信息
     * @param flag
     * @return
     */
    @GetMapping("/get-plant-equipment-utilization")
    public ResponseDTO getPlantEquipmentUtilization(@RequestParam(required = false) Long flag) {
        return ResponseDTO.ok(simulationAnalysisService.getPlantEquipmentUtilization(flag));
    }

    /**
     * 获取不锈钢OEE
     * @return
     */
    @GetMapping("/get-oee-bxg")
    public ResponseDTO getOeeBxg(){
        return ResponseDTO.ok(simulationAnalysisService.getOeeBxg());
    }

    /**
     * 获取大径线OEE
     * @return
     */
    @GetMapping("/get-oee-dj")
    public ResponseDTO getOeeDj(){
        return ResponseDTO.ok(simulationAnalysisService.getOeeDj());
    }

    /**
     * 获取小二线OEE
     * @return
     */
    @GetMapping("/get-oee-xe")
    public ResponseDTO getOeeXe(){
        return ResponseDTO.ok(simulationAnalysisService.getOeeXe());
    }

    /**
     * 获取小一线OEE
     * @return
     */
    @GetMapping("/get-oee-xy")
    public ResponseDTO getOeeXy(){
        return ResponseDTO.ok(simulationAnalysisService.getOeeXy());
    }

    /**
     * 获取中二线OEE
     * @return
     */
    @GetMapping("/get-oee-ze")
    public ResponseDTO getOeeZe(){
        return ResponseDTO.ok(simulationAnalysisService.getOeeZe());
    }

    /**
     * 获取中一线OEE
     * @return
     */
    @GetMapping("/get-oee-zy")
    public ResponseDTO getOeeZy(){
        return ResponseDTO.ok(simulationAnalysisService.getOeeZy());
    }
}
