package com.ipsplm.service.simulation;

import com.ipsplm.entity.simulation.*;
import com.ipsplm.entity.simulation.vo.PlantEquipmentUtilizationVO;

import java.util.List;

/**
 * @Description 仿真分析接口层
 * @Author lulicheng
 * @Date 2024-07-31 10：20
 * @Version 1.0
 */
public interface ISimulationAnalysisService {
    /**
     * 获取厂房设备利用率信息
     * @param flag
     * @return
     */
    PlantEquipmentUtilizationVO getPlantEquipmentUtilization(Long flag);

    /**
     * 获取不锈钢OEE
     * @return
     */
    List<OeeBxg> getOeeBxg();

    /**
     * 获取大径线OEE
     * @return
     */
    List<OeeDj> getOeeDj();

    /**
     * 获取小二线OEE
     * @return
     */
    List<OeeXe> getOeeXe();

    /**
     * 获取小一线OEE
     * @return
     */
    List<OeeXy> getOeeXy();

    /**
     * 获取中二线OEE
     * @return
     */
    List<OeeZe> getOeeZe();

    /**
     * 获取中一线OEE
     * @return
     */
    List<OeeZy> getOeeZy();
}
