package com.ipsplm.service.simulation.impl;

import com.ipsplm.dao.simulation.SimulationAnalysisMapper;
import com.ipsplm.entity.simulation.*;
import com.ipsplm.entity.simulation.vo.PlantEquipmentUtilizationVO;
import com.ipsplm.service.simulation.ISimulationAnalysisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

/**
 * @Description 仿真分析实现类
 * @Author lulicheng
 * @Date 2024-07-31 10：20
 * @Version 1.0
 */
@Service
public class SimulationAnalysisServiceImpl implements ISimulationAnalysisService {
    @Autowired
    private SimulationAnalysisMapper simulationAnalysisMapper;
    /**
     * 获取厂房设备利用率信息
     * @param flag
     * @return
     */
    @Override
    public PlantEquipmentUtilizationVO getPlantEquipmentUtilization(Long flag) {
        return simulationAnalysisMapper.getPlantEquipmentUtilization(flag);
    }

    /**
     * 获取不锈钢OEE
     * @return
     */
    @Override
    public List<OeeBxg> getOeeBxg() {
        return simulationAnalysisMapper.getOeeBxg();
    }

    /**
     * 获取大径线OEE
     * @return
     */
    @Override
    public List<OeeDj> getOeeDj() {
        return simulationAnalysisMapper.getOeeDj();
    }

    /**
     * 获取小二线OEE
     * @return
     */
    @Override
    public List<OeeXe> getOeeXe() {
        return simulationAnalysisMapper.getOeeXe();
    }

    /**
     * 获取小一线OEE
     * @return
     */
    @Override
    public List<OeeXy> getOeeXy() {
        return simulationAnalysisMapper.getOeeXy();
    }

    /**
     * 获取中二线OEE
     * @return
     */
    @Override
    public List<OeeZe> getOeeZe() {
        return simulationAnalysisMapper.getOeeZe();
    }

    /**
     * 获取中一线OEE
     * @return
     */
    @Override
    public List<OeeZy> getOeeZy() {
        return simulationAnalysisMapper.getOeeZy();
    }
}
